﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace PopulationPyramid
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            RadChart1.DefaultView.ChartArea.AxisY.AutoRange = false;
            RadChart1.DefaultView.ChartArea.AxisY.AddRange(-1.4, 1.4, 0.2);
            RadChart1.DefaultView.ChartArea.AxisX.AutoRange = false;
            RadChart1.DefaultView.ChartArea.AxisX.AddRange(0, 9, 1);
            RadChart1.DefaultView.ChartArea.AxisX.LayoutMode = AxisLayoutMode.Inside;
            RadChart1.DefaultView.ChartArea.ItemOverlapPercent = 100;
            RadChart1.DefaultView.ChartArea.AxisX.Title = "Age";
            RadChart1.DefaultView.ChartArea.AxisY.Title = "Population (in millions)";
            RadChart1.DefaultView.ChartArea.AxisY.DefaultLabelFormat = "#VAL{#0.##;#0.##;0}";
            RadChart1.DefaultView.ChartTitle.Content = "Sample Population Pyramid";         
           
            List<Population> myData = new List<Population>();
            for (int i = 0; i < 11; i++)
            {
                myData.Add(new Population("0-4", 1, -1.3));
                myData.Add(new Population("5-9", 0.85, -0.89));
                myData.Add(new Population("10-14", 0.7, -0.7));
                myData.Add(new Population("15-19", 0.45, -0.5));
                myData.Add(new Population("20-24", 0.4, -0.4));
                myData.Add(new Population("25-29", 0.38, -0.39));
                myData.Add(new Population("30-34", 0.3, -0.25));
                myData.Add(new Population("35-39", 0.25, -0.25));
                myData.Add(new Population("40-44", 0.15, -0.09));
                myData.Add(new Population("45+", 0.1, -0.05));
            }

            SeriesMapping barSeriesMapping1 = new SeriesMapping();
            barSeriesMapping1.LegendLabel = "Male Population";
            barSeriesMapping1.SeriesDefinition = new HorizontalBarSeriesDefinition() { ShowItemLabels = false };
            barSeriesMapping1.ItemMappings.Add(new ItemMapping("Count", DataPointMember.XCategory));
            barSeriesMapping1.ItemMappings.Add(new ItemMapping("MalePopulation", DataPointMember.YValue));

            SeriesMapping barSeriesMapping2 = new SeriesMapping();
            barSeriesMapping2.LegendLabel = "Female Population";
            barSeriesMapping2.SeriesDefinition = new HorizontalBarSeriesDefinition() { ShowItemLabels = false};
            barSeriesMapping2.ItemMappings.Add(new ItemMapping("Count", DataPointMember.XCategory));
            barSeriesMapping2.ItemMappings.Add(new ItemMapping("FemalePopulation", DataPointMember.YValue));

            RadChart1.SeriesMappings.Add(barSeriesMapping1);
            RadChart1.SeriesMappings.Add(barSeriesMapping2);

            RadChart1.ItemsSource = myData;
        }

        public class Population
        {
            public Population(string count, double female, double male)
            {
                this.Count = count;
                this.MalePopulation = male;
                this.FemalePopulation = female;
            }
            public string Count
            {
                get;
                set;
            }
            public double MalePopulation
            {
                get;
                set;
            }
            public double FemalePopulation
            {
                get;
                set;
            }
        } 

    }
}
